## GstNetAddressMeta GstNetAddressMeta |

## Functions

GstNetAddressMeta * | gst_buffer_add_net_address_meta ()
GstNetAddressMeta * | gst_buffer_get_net_address_meta ()
const GstMetaInfo * | gst_net_address_meta_get_info ()

## Types and Values

struct | GstNetAddressMeta

## Includes

    #include <gst/net/gstnetaddressmeta.h>

## Description

## Functions

### gst_buffer_add_net_address_meta ()

    GstNetAddressMeta *
    gst_buffer_add_net_address_meta (GstBuffer *buffer,
                                     GSocketAddress *addr);

### gst_buffer_get_net_address_meta ()

    GstNetAddressMeta *
    gst_buffer_get_net_address_meta (GstBuffer *buffer);

### gst_net_address_meta_get_info ()

    const GstMetaInfo *
    gst_net_address_meta_get_info (void);

## Types and Values

### struct GstNetAddressMeta

    struct GstNetAddressMeta {
      GstMeta       meta;

      GSocketAddress *addr;
    };